Reporting Period Configuration
Read Reporting Period Configuration
Read an existing reporting period configuration, identified by its ID.
Permissions
api.reporting-period-config.read
GET
/
v1
/
reporting-period-config
/
{reportingPeriodConfigurationId}
Read Reporting Period Configuration
curl --request GET \
--url https://{tenant}.mindbridge.ai/api/v1/reporting-period-config/{reportingPeriodConfigurationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}.mindbridge.ai/api/v1/reporting-period-config/{reportingPeriodConfigurationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}.mindbridge.ai/api/v1/reporting-period-config/{reportingPeriodConfigurationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"version": 123,
"creationDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z",
"createdUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"lastModifiedUserInfo": {
"userId": "<string>",
"userName": "<string>"
},
"monthlyReportingPeriods": [
{
"periodNumber": 123,
"quarterNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"weeklyReportingPeriods": [
{
"weekNumber": 123,
"yearLabel": "<string>",
"startDate": "2023-12-25",
"endDate": "2023-12-25"
}
],
"status": "UPLOADED"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
List of monthly reporting periods.
Show child attributes
Show child attributes
List of weekly reporting periods.
Show child attributes
Show child attributes
Available options:
UPLOADED, VALIDATING, FAILED, COMPLETED Was this page helpful?
⌘I
Read Reporting Period Configuration

